"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license.
// See LICENSE in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseLocJson = void 0;
const path_1 = require("path");
const node_core_library_1 = require("@rushstack/node-core-library");
const LOC_JSON_SCHEMA_PATH = (0, path_1.resolve)(__dirname, '../schemas/locJson.schema.json');
const LOC_JSON_SCHEMA = node_core_library_1.JsonSchema.fromFile(LOC_JSON_SCHEMA_PATH);
/**
 * @public
 */
function parseLocJson(options) {
    const parsedFile = node_core_library_1.JsonFile.parseString(options.content);
    try {
        LOC_JSON_SCHEMA.validateObject(parsedFile, options.filePath);
    }
    catch (e) {
        throw new Error(`The loc file is invalid. Error: ${e}`);
    }
    return parsedFile;
}
exports.parseLocJson = parseLocJson;
//# sourceMappingURL=parseLocJson.js.map